Ecore Application functions

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
Ecore Application functions
Ecore

## Functions
void | ecore_app_args_set (int argc, const char **argv)
| Set up the programs command-line arguments. More...
void | ecore_app_args_get (int *argc, char ***argv)
| Return the programs stored command-line arguments. More...
void | ecore_app_restart (void)
| Restart the program executable with the command-line arguments stored. More...
void | ecore_app_no_system_modules (void)
| Do not load system modules for this application. More...

## Detailed Description

## Function Documentation

void ecore_app_args_set | ( | int | argc,
|  | const char ** | argv
| ) |  |

Set up the programs command-line arguments.

Parameters

  argc | The same as passed as argc to the programs main() function
  argv | The same as passed as argv to the programs main() function

A call to this function will store the programs command-line arguments for later use by ecore_app_restart() or ecore_app_args_get().

References EINA_MAIN_LOOP_CHECK_RETURN.

void ecore_app_args_get | ( | int * | argc,
|  | char *** | argv
| ) |  |

Return the programs stored command-line arguments.

Parameters

  argc | A pointer to the return value to hold argc
  argv | A pointer to the return value to hold argv

When called, this function returns the arguments for the program stored by ecore_app_args_set(). The integer pointed to by `argc` will be filled, if the pointer is not NULL, and the string array pointer `argv` will be filled also if the pointer is not NULL. The values they are filled with will be the same set by ecore_app_args_set().

References EINA_MAIN_LOOP_CHECK_RETURN.

Referenced by ecore_getopt_parse(), ecore_getopt_parse_positional(), and ecore_x_window_defaults_set().

void ecore_app_restart | ( | void |  | ) |

Restart the program executable with the command-line arguments stored.

This function will restart & re-execute this program in place of itself using the command-line arguments stored by ecore_app_args_set(). This is an easy way for a program to restart itself for cleanup purposes, configuration reasons or in the event of a crash.

References EINA_MAIN_LOOP_CHECK_RETURN.

void ecore_app_no_system_modules | ( | void |  | ) |

Do not load system modules for this application.

Ecore will now load platform-specific system modules such as power-management, time and locate monitors.

Whenever this function is called before ecore_init(), ecore won't load such modules.

This may be useful to some command-line utilities, hardly will be useful for end-user applications.

Since
  1.8

References EINA_TRUE.